aboutsummaryrefslogtreecommitdiffstats
path: root/main/v4l-utils/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2013-02-22 16:06:08 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2013-02-22 16:06:28 +0000
commit3acef1036c69d0604268ce2a51840f930b184d85 (patch)
tree72ac7f66783a4bcbfa3aef2ceeb388b74cd80d24 /main/v4l-utils/APKBUILD
parent89d3e577e9a10d8f75b87d5ec44d801efbb7f3c7 (diff)
downloadaports-3acef1036c69d0604268ce2a51840f930b184d85.tar.gz
aports-3acef1036c69d0604268ce2a51840f930b184d85.tar.bz2
aports-3acef1036c69d0604268ce2a51840f930b184d85.tar.xz
main/v4l-utils: upgrade to 0.9.3
Diffstat (limited to 'main/v4l-utils/APKBUILD')
-rw-r--r--main/v4l-utils/APKBUILD43
1 files changed, 25 insertions, 18 deletions
diff --git a/main/v4l-utils/APKBUILD b/main/v4l-utils/APKBUILD
index 94d6552c48..2a2c6f1aaf 100644
--- a/main/v4l-utils/APKBUILD
+++ b/main/v4l-utils/APKBUILD
@@ -1,15 +1,15 @@
# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=v4l-utils
-pkgver=0.8.9
-pkgrel=1
+pkgver=0.9.3
+pkgrel=0
pkgdesc="Userspace tools and conversion library for Video 4 Linux"
url="http://freshmeat.net/projects/libv4l"
arch="all"
license="LGPL"
depends=""
-makedepends="qt-dev libjpeg-turbo-dev libiconv-dev"
-[ "$ALPINE_LIBC" != "eglibc" ] && makedepends="$makedepends argp-standalone"
+makedepends="qt-dev libjpeg-turbo-dev libiconv-dev argp-standalone"
+[ "$ALPINE_LIBC" != "eglibc" ] && makedepends="$makedepends"
install=""
subpackages="$pkgname-dev qv4l2"
source="http://linuxtv.org/downloads/v4l-utils/$pkgname-$pkgver.tar.bz2
@@ -20,25 +20,23 @@ _builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
-
- sed -i 's|CFLAGS :=|CFLAGS ?=|' \
- Make.rules || return 1
-
if [ "$ALPINE_LIBC" != "eglibc" ]; then
- export ARGP_LIBS="-largp"
- export ICONV_LIBS="-liconv"
- sed -ie 's/\$\^/$\^\ \$(ARGP_LIBS)/' \
- utils/decode_tm6000/Makefile || return 1
- sed -ie 's/\$\^/$\^\ \$(ARGP_LIBS)/' \
- utils/keytable/Makefile || return 1
- sed -ie 's/\$\^/$\^\ \$(ARGP_LIBS)/' \
- utils/v4l2-sysfs-path/Makefile || return 1
- export LDLIBS="$ARGP_LIBS $ICONV_LIBS"
+ export LDFLAGS="$LDFLAGS -largp -liconv"
fi
}
build() {
cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-static
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1;;
+ esac
+ done
make PREFIX="/usr" || return 1
}
@@ -56,8 +54,17 @@ qv4l2() {
mkdir -p "$subpkgdir"/usr/bin
mv "$pkgdir"/usr/bin/qv4l2 "$subpkgdir"/usr/bin/ || return 1
mv "$pkgdir"/usr/share "$subpkgdir"/usr/ || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
+ rm "$pkgdir"/usr/lib/libv4l/*.la || return 1
+ rm "$pkgdir"/usr/lib/libv4l/plugins/*.la || return 1
}
-md5sums="cc4f34a1494275ed70f76f2a806dca6a v4l-utils-0.8.9.tar.bz2
+md5sums="f4d24bb9f0307345d5a8fc4febcb993d v4l-utils-0.9.3.tar.bz2
75ef594ddfe48e48df99c96c2af6b51e qv4l2.svg
b2e51f9663cee1c38a1d99d76a6b529f qv4l2.desktop"
+sha256sums="502db0d865a392d87bff22c4f3bcfb3d0755937b1c18496edd941fd2d1784a3d v4l-utils-0.9.3.tar.bz2
+b1dad7c1649881be8e66f4d9d0f32206796dd0a10dd936c342426ec64cf9c77c qv4l2.svg
+1c5739631e37a7338409ea8b5c797a6888fd9a595e72d9dc96dd634df26373f3 qv4l2.desktop"
+sha512sums="52d1fdaf73cb27963458013bc62792d1331f9fa6a50d761ac594999db2c3c654fe48dfb51019d12acaf7d2ab0ff5563503e8dac6abc2ea915baa4c6373988c3d v4l-utils-0.9.3.tar.bz2
+bc18280046c15b19984103f7c2bb44a0aea79715803c64f0c64bc932499c09022c956914c3b15ae59499adc09f6fbff5378be45707fe851250f495a26b63d682 qv4l2.svg
+6f74aa524b3de420eeb8de788ff3f717020732a3f1f6530caee50e63aae7eddbe5f551ffc50065c9f5d6078c13bace089948ecdcacf01f8b82c1a44960e06315 qv4l2.desktop"